﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class test_project2_Default : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		CreateChartSeries();
		RadDemandChart0.DataSource = GetData();
		RadDemandChart0.DataBind();
		RadDemandChart0.PlotArea.XAxis.DataLabelsField = "TimeSlot";
	}

	private void CreateChartSeries()
	{

		RadHtmlChart demandChart = RadDemandChart0;

		demandChart.PlotArea.Series.Clear();
		AreaSeries Actual_Unit_Hours = new AreaSeries();
		Actual_Unit_Hours.DataFieldY = "Actual_Unit_Hours";
		Actual_Unit_Hours.LabelsAppearance.Visible = false;
		Actual_Unit_Hours.TooltipsAppearance.Visible = false;
		Actual_Unit_Hours.Appearance.FillStyle.BackgroundColor
		= System.Drawing.ColorTranslator.FromHtml("#aaccee");
		Actual_Unit_Hours.MarkersAppearance.Visible = false;
		Actual_Unit_Hours.Appearance.Overlay.Gradient = Telerik.Web.UI.HtmlChart.Enums.Gradients.None;
		demandChart.PlotArea.Series.Add(Actual_Unit_Hours);
		AreaSeries Scheduled_Unit_Hours = new AreaSeries();
		Scheduled_Unit_Hours.DataFieldY = "Scheduled_Unit_Hours";
		Scheduled_Unit_Hours.Name = "Scheduled UHs";
		Scheduled_Unit_Hours.TooltipsAppearance.Visible = false;
		Scheduled_Unit_Hours.LabelsAppearance.Visible = false;
		Scheduled_Unit_Hours.MarkersAppearance.Visible = false;
		Scheduled_Unit_Hours.Appearance.FillStyle.BackgroundColor
		= System.Drawing.ColorTranslator.FromHtml("#bbbbbb");
		Scheduled_Unit_Hours.Appearance.Overlay.Gradient = Telerik.Web.UI.HtmlChart.Enums.Gradients.None;
		demandChart.PlotArea.Series.Add(Scheduled_Unit_Hours);
		LineSeries New_Schedule = new LineSeries();
		New_Schedule.LineAppearance.Width = 3;
		New_Schedule.DataFieldY = "Schedule_NOT_Effective";
		New_Schedule.Name = "New Schedule";
		New_Schedule.TooltipsAppearance.Visible = false;
		New_Schedule.LabelsAppearance.Visible = false;
		New_Schedule.MarkersAppearance.Visible = false;
		New_Schedule.Appearance.FillStyle.BackgroundColor
		= System.Drawing.Color.DarkBlue;
		New_Schedule.Appearance.Overlay.Gradient = Telerik.Web.UI.HtmlChart.Enums.Gradients.None;
		demandChart.PlotArea.Series.Add(New_Schedule);
		LineSeries Chart_Peak = new LineSeries();
		Chart_Peak.Name = "Chart Peak";
		Chart_Peak.DataFieldY = "Chart_Peak";
		Chart_Peak.LabelsAppearance.Visible = false;
		Chart_Peak.MarkersAppearance.Visible = false;
		Chart_Peak.TooltipsAppearance.Visible = false;
		Chart_Peak.MissingValues = Telerik.Web.UI.HtmlChart.MissingValuesBehavior.Gap;
		Chart_Peak.Appearance.FillStyle.BackgroundColor = System.Drawing.Color.OrangeRed;
		Chart_Peak.Appearance.Overlay.Gradient = Telerik.Web.UI.HtmlChart.Enums.Gradients.None;
		demandChart.PlotArea.Series.Add(Chart_Peak);
		LineSeries Area_Demand = new LineSeries();
		Area_Demand.Name = "Demand Area";
		Area_Demand.DataFieldY = "Area_Demand";
		Area_Demand.LabelsAppearance.Visible = false;
		Area_Demand.MarkersAppearance.Visible = false;
		Area_Demand.TooltipsAppearance.Visible = false;
		Area_Demand.Appearance.FillStyle.BackgroundColor = System.Drawing.Color.Aqua;
		//Area_Demand.ZIndex = 1; 
		Area_Demand.MissingValues = Telerik.Web.UI.HtmlChart.MissingValuesBehavior.Gap;
		Area_Demand.Appearance.Overlay.Gradient = Telerik.Web.UI.HtmlChart.Enums.Gradients.None;
		demandChart.PlotArea.Series.Add(Area_Demand);
		LineSeries Efficiency_Target = new LineSeries();
		Efficiency_Target.Name = "Demand Entity";
		Efficiency_Target.DataFieldY = "Entity_Demand";
		Efficiency_Target.LabelsAppearance.Visible = false;
		Efficiency_Target.MarkersAppearance.Visible = false;
		Efficiency_Target.TooltipsAppearance.Visible = false;
		Efficiency_Target.Appearance.FillStyle.BackgroundColor = System.Drawing.Color.Green;
		//Efficiency_Target.ZIndex = 2;
		Efficiency_Target.MissingValues = Telerik.Web.UI.HtmlChart.MissingValuesBehavior.Gap;
		Efficiency_Target.Appearance.Overlay.Gradient = Telerik.Web.UI.HtmlChart.Enums.Gradients.None;
		demandChart.PlotArea.Series.Add(Efficiency_Target);
		LineSeries q5_Tight = new LineSeries();
		q5_Tight.LineAppearance.Width = 1;
		q5_Tight.Name = "Target Staffing";
		q5_Tight.DataFieldY = "q5_Tight";
		q5_Tight.MarkersAppearance.Visible = false;
		q5_Tight.LabelsAppearance.Visible = false;
		q5_Tight.TooltipsAppearance.Visible = false;
		q5_Tight.Appearance.FillStyle.BackgroundColor = System.Drawing.Color.Purple;
		q5_Tight.MissingValues = Telerik.Web.UI.HtmlChart.MissingValuesBehavior.Gap;
		q5_Tight.Appearance.Overlay.Gradient = Telerik.Web.UI.HtmlChart.Enums.Gradients.None;
		demandChart.PlotArea.Series.Add(q5_Tight);
		//			DateTime timeLabels = new DateTime();
		//			List<AxisItem> axisItems = new List<AxisItem>();
		//			List<AxisItem> blankAxisItems = new List<AxisItem>() { { new AxisItem("") },
		//{ new AxisItem("") }, { new AxisItem("") },
		//{ new AxisItem("") }, { new AxisItem("") } };
		//			for (int index = 0; index < 48; index++)
		//			{
		//				axisItems.Add(new AxisItem(timeLabels.ToString("HH:mm")));
		//				axisItems.AddRange(blankAxisItems);
		//				timeLabels = timeLabels.AddMinutes(30);
		//			}
		//			demandChart.PlotArea.XAxis.Items.AddRange(axisItems);
	}

	protected DataTable GetData()
	{
		DataTable dt = new DataTable();

		dt.Columns.Add("TimeSlot", typeof(DateTime));
		dt.Columns.Add("Scheduled_Unit_Hours", typeof(int));
		dt.Columns.Add("Schedule_NOT_Effective", typeof(int));
		dt.Columns.Add("Actual_Unit_Hours", typeof(float));
		dt.Columns.Add("Active_Calls", typeof(int));
		dt.Columns.Add("Entity_Demand", typeof(float));
		dt.Columns.Add("Area_Demand", typeof(float));
		dt.Columns.Add("Chart_Peak", typeof(float));
		dt.Columns.Add("q5_Tight", typeof(float));
		dt.Columns.Add("LDT_Demand", typeof(float));


		dt.Rows.Add("00:00:00", 4, 0, 5.00, 4, 4.04, 4.00, 8.00, 5.0000, 0.00);
		dt.Rows.Add("00:05:00", 4, 0, 4.00, 3, 4.00, 4.00, 7.00, 5.0000, 0.00);
		dt.Rows.Add("00:10:00", 4, 3, 4.00, 3, 4.00, 4.00, 7.00, 5.0000, 0.00);
		dt.Rows.Add("00:15:00", 4, 3, 4.00, 3, 4.00, 4.00, 7.00, 5.0000, 0.00);
		dt.Rows.Add("00:20:00", 4, 3, 4.00, 3, 5.00, 4.00, 6.00, 5.0000, 0.00);
		dt.Rows.Add("00:25:00", 4, 3, 4.00, 3, 4.34, 4.00, 6.00, 5.0000, 0.00);
		dt.Rows.Add("00:30:00", 4, 3, 4.00, 2, 4.00, 4.00, 5.00, 5.0000, 0.00);
		dt.Rows.Add("00:35:00", 4, 3, 4.00, 2, 4.00, 4.00, 5.00, 5.0000, 0.00);
		dt.Rows.Add("00:40:00", 4, 3, 4.00, 2, 4.34, 4.00, 5.00, 5.0000, 0.00);
		dt.Rows.Add("00:45:00", 4, 1, 4.00, 2, 5.00, 4.00, 5.00, 5.0000, 0.00);
		dt.Rows.Add("00:50:00", 4, 1, 4.00, 1, 5.00, 3.00, 5.00, 5.0000, 0.00);
		dt.Rows.Add("00:55:00", 4, 1, 4.00, 1, 4.00, 3.00, 5.00, 5.0000, 0.66);
		dt.Rows.Add("01:00:00", 4, 1, 4.00, 0, 4.00, 3.00, 5.00, 4.0000, 0.51);
		dt.Rows.Add("01:05:00", 4, 1, 4.00, 1, 4.00, 3.00, 4.00, 4.0000, 0.66);
		dt.Rows.Add("01:10:00", 4, 1, 4.00, 1, 3.34, 3.00, 4.00, 4.0000, 0.34);
		dt.Rows.Add("01:15:00", 4, 1, 4.00, 1, 3.34, 3.00, 4.00, 4.0000, 0.34);
		dt.Rows.Add("01:20:00", 4, 1, 4.00, 1, 3.00, 3.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("01:25:00", 4, 1, 4.00, 1, 3.49, 3.34, 4.00, 4.0000, 0.49);
		dt.Rows.Add("01:30:00", 4, 1, 4.00, 1, 3.64, 4.00, 5.00, 4.0000, 0.64);
		dt.Rows.Add("01:35:00", 4, 1, 4.00, 1, 3.00, 3.00, 5.00, 4.0000, 0.00);
		dt.Rows.Add("01:40:00", 4, 1, 4.00, 1, 3.00, 3.00, 5.00, 4.0000, 0.00);
		dt.Rows.Add("01:45:00", 4, 1, 4.00, 0, 3.00, 3.00, 5.00, 4.0000, 0.51);
		dt.Rows.Add("01:50:00", 4, 1, 4.00, 0, 3.00, 2.34, 3.00, 4.0000, 0.00);
		dt.Rows.Add("01:55:00", 4, 1, 4.00, 0, 3.94, 3.00, 5.00, 4.0000, 0.94);
		dt.Rows.Add("02:00:00", 4, 1, 4.00, 0, 3.00, 3.00, 5.00, 4.0000, 0.00);
		dt.Rows.Add("02:05:00", 4, 1, 4.00, 0, 3.00, 4.00, 5.00, 4.0000, 0.00);
		dt.Rows.Add("02:10:00", 4, 1, 4.00, 0, 3.00, 4.00, 5.00, 4.0000, 0.00);
		dt.Rows.Add("02:15:00", 4, 1, 4.00, 0, 3.00, 3.00, 5.00, 4.0000, 0.00);
		dt.Rows.Add("02:20:00", 4, 1, 4.00, 0, 3.00, 3.00, 5.00, 4.0000, 0.06);
		dt.Rows.Add("02:25:00", 4, 1, 4.00, 0, 3.00, 3.49, 5.00, 4.0000, 0.00);
		dt.Rows.Add("02:30:00", 4, 1, 4.00, 0, 3.00, 3.00, 5.00, 4.0000, 0.06);
		dt.Rows.Add("02:35:00", 4, 1, 4.00, 0, 3.00, 3.00, 4.00, 4.0000, 0.00);
		dt.Rows.Add("02:40:00", 4, 1, 4.00, 0, 3.00, 3.00, 4.00, 4.0000, 0.00);
		dt.Rows.Add("02:45:00", 3, 1, 4.00, 0, 3.00, 3.00, 4.00, 4.0000, 0.00);
		dt.Rows.Add("02:50:00", 3, 1, 4.00, 0, 3.00, 3.00, 4.00, 4.0000, 0.66);
		dt.Rows.Add("02:55:00", 3, 1, 3.00, 0, 3.00, 2.00, 4.00, 4.0000, 0.00);
		dt.Rows.Add("03:00:00", 3, 1, 3.00, 0, 3.00, 2.00, 4.00, 4.0000, 0.00);
		dt.Rows.Add("03:05:00", 3, 1, 3.00, 0, 3.00, 2.00, 3.00, 4.0000, 1.00);
		dt.Rows.Add("03:10:00", 3, 1, 3.00, 0, 3.00, 2.00, 4.00, 4.0000, 1.00);
		dt.Rows.Add("03:15:00", 3, 1, 3.00, 0, 3.34, 2.00, 4.00, 4.0000, 1.00);
		dt.Rows.Add("03:20:00", 3, 1, 3.00, 0, 2.49, 2.00, 4.00, 4.0000, 0.49);
		dt.Rows.Add("03:25:00", 3, 1, 3.00, 0, 2.49, 3.00, 5.00, 4.0000, 0.49);
		dt.Rows.Add("03:30:00", 3, 1, 3.00, 0, 2.49, 3.00, 5.00, 4.0000, 0.49);
		dt.Rows.Add("03:35:00", 3, 1, 3.00, 1, 2.49, 3.00, 5.00, 4.0000, 0.49);
		dt.Rows.Add("03:40:00", 3, 1, 3.00, 1, 3.00, 3.00, 5.00, 4.0000, 1.00);
		dt.Rows.Add("03:45:00", 3, 1, 3.00, 1, 3.00, 3.00, 5.00, 4.0000, 0.51);
		dt.Rows.Add("03:50:00", 3, 1, 3.00, 1, 3.00, 3.00, 5.00, 4.0000, 0.00);
		dt.Rows.Add("03:55:00", 3, 1, 3.00, 1, 3.49, 2.00, 4.00, 4.0000, 0.49);
		dt.Rows.Add("04:00:00", 3, 1, 3.00, 1, 2.68, 2.00, 4.00, 4.0000, 0.34);
		dt.Rows.Add("04:05:00", 3, 1, 3.00, 1, 2.34, 2.00, 4.00, 4.0000, 0.34);
		dt.Rows.Add("04:10:00", 3, 1, 3.00, 1, 2.34, 2.34, 3.00, 4.0000, 0.34);
		dt.Rows.Add("04:15:00", 3, 1, 3.00, 1, 2.34, 2.34, 3.00, 4.0000, 0.34);
		dt.Rows.Add("04:20:00", 3, 1, 3.00, 1, 2.34, 2.34, 3.00, 4.0000, 0.34);
		dt.Rows.Add("04:25:00", 3, 1, 3.00, 0, 2.34, 2.34, 3.00, 4.0000, 0.34);
		dt.Rows.Add("04:30:00", 3, 1, 3.00, 0, 3.00, 3.00, 3.00, 4.0000, 0.66);
		dt.Rows.Add("04:35:00", 3, 1, 3.00, 0, 2.94, 2.94, 3.00, 4.0000, 0.00);
		dt.Rows.Add("04:40:00", 3, 1, 3.00, 0, 2.94, 2.94, 3.00, 4.0000, 0.00);
		dt.Rows.Add("04:45:00", 2, 1, 3.00, 0, 3.00, 3.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("04:50:00", 2, 1, 3.00, 0, 3.00, 3.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("04:55:00", 2, 1, 3.00, 0, 2.34, 3.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("05:00:00", 2, 1, 2.00, 0, 2.94, 3.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("05:05:00", 2, 1, 2.00, 0, 3.00, 3.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("05:10:00", 3, 1, 2.00, 0, 2.00, 2.94, 3.00, 4.0000, 0.00);
		dt.Rows.Add("05:15:00", 3, 1, 3.00, 0, 2.00, 2.94, 4.00, 4.0000, 0.00);
		dt.Rows.Add("05:20:00", 3, 1, 3.00, 1, 2.00, 2.00, 4.00, 4.0000, 0.00);
		dt.Rows.Add("05:25:00", 3, 1, 3.00, 1, 3.00, 2.94, 3.00, 4.0000, 0.00);
		dt.Rows.Add("05:30:00", 3, 1, 3.00, 1, 3.00, 2.00, 4.00, 4.0000, 0.00);
		dt.Rows.Add("05:35:00", 3, 1, 3.00, 1, 3.00, 2.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("05:40:00", 3, 1, 3.00, 1, 2.94, 2.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("05:45:00", 2, 1, 3.00, 1, 2.00, 2.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("05:50:00", 2, 1, 3.00, 1, 3.00, 2.00, 3.00, 4.0000, 0.66);
		dt.Rows.Add("05:55:00", 2, 1, 3.00, 1, 3.00, 2.00, 3.00, 4.0000, 0.66);
		dt.Rows.Add("06:00:00", 2, 1, 3.00, 0, 3.00, 2.00, 3.00, 4.0000, 0.66);
		dt.Rows.Add("06:05:00", 2, 1, 2.00, 0, 3.00, 2.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("06:10:00", 3, 1, 3.00, 0, 2.00, 2.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("06:15:00", 3, 1, 3.00, 0, 2.00, 2.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("06:20:00", 3, 1, 3.00, 0, 2.00, 2.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("06:25:00", 3, 1, 3.00, 0, 2.00, 2.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("06:30:00", 3, 1, 3.00, 0, 2.94, 2.94, 3.00, 4.0000, 0.00);
		dt.Rows.Add("06:35:00", 3, 1, 3.00, 0, 2.95, 2.94, 3.00, 4.0000, 0.00);
		dt.Rows.Add("06:40:00", 3, 1, 3.00, 0, 2.00, 2.94, 3.00, 4.0000, 0.00);
		dt.Rows.Add("06:45:00", 2, 1, 3.00, 0, 2.00, 2.94, 3.00, 4.0000, 0.00);
		dt.Rows.Add("06:50:00", 2, 1, 3.00, 0, 2.34, 2.34, 3.00, 4.0000, 0.34);
		dt.Rows.Add("06:55:00", 2, 1, 2.00, 0, 2.00, 2.34, 3.00, 4.0000, 0.00);
		dt.Rows.Add("07:00:00", 2, 1, 2.00, 1, 2.00, 2.34, 3.00, 4.0000, 0.00);
		dt.Rows.Add("07:05:00", 2, 1, 3.00, 2, 3.00, 3.34, 3.00, 4.0000, 1.00);
		dt.Rows.Add("07:10:00", 4, 1, 3.00, 2, 3.00, 3.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("07:15:00", 4, 1, 2.00, 3, 3.00, 3.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("07:20:00", 4, 1, 3.00, 3, 3.00, 3.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("07:25:00", 4, 1, 3.00, 3, 3.49, 4.00, 5.00, 4.0000, 0.15);
		dt.Rows.Add("07:30:00", 4, 1, 4.00, 2, 3.49, 4.00, 6.00, 4.0000, 0.00);
		dt.Rows.Add("07:35:00", 4, 1, 4.00, 2, 3.49, 3.49, 5.00, 4.0000, 0.15);
		dt.Rows.Add("07:40:00", 4, 1, 4.00, 3, 4.00, 4.00, 4.00, 4.0000, 0.66);
		dt.Rows.Add("07:45:00", 4, 1, 4.00, 3, 3.00, 3.34, 4.00, 4.0000, 0.00);
		dt.Rows.Add("07:50:00", 4, 1, 4.00, 3, 3.00, 3.34, 4.00, 4.0000, 0.00);
		dt.Rows.Add("07:55:00", 4, 1, 4.00, 3, 3.00, 3.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("08:00:00", 4, 1, 4.00, 3, 3.00, 3.94, 4.00, 4.0000, 0.00);
		dt.Rows.Add("08:05:00", 4, 1, 4.00, 3, 3.94, 3.94, 4.00, 4.0000, 0.94);
		dt.Rows.Add("08:10:00", 5, 1, 5.00, 3, 3.00, 3.00, 3.00, 4.0000, 0.00);
		dt.Rows.Add("08:15:00", 5, 1, 5.00, 3, 3.00, 3.34, 4.00, 4.0000, 0.00);
		dt.Rows.Add("08:20:00", 5, 1, 5.00, 4, 3.63, 4.00, 4.00, 4.0000, 0.63);
		dt.Rows.Add("08:25:00", 5, 1, 5.00, 3, 3.63, 4.00, 5.00, 4.0000, 0.00);
		dt.Rows.Add("08:30:00", 5, 1, 5.00, 3, 4.00, 4.00, 5.00, 4.0000, 0.00);
		dt.Rows.Add("08:35:00", 5, 1, 5.00, 3, 3.34, 4.00, 4.00, 4.0000, 0.34);
		dt.Rows.Add("08:40:00", 5, 1, 5.00, 3, 3.00, 3.00, 5.00, 4.0000, 0.00);
		dt.Rows.Add("08:45:00", 5, 1, 5.00, 5, 3.00, 3.00, 5.00, 4.0000, 0.00);
		dt.Rows.Add("08:50:00", 5, 1, 5.00, 5, 4.04, 4.00, 5.00, 4.0000, 0.04);
		dt.Rows.Add("08:55:00", 5, 1, 5.00, 4, 4.00, 4.00, 4.00, 4.0000, 0.66);
		dt.Rows.Add("09:00:00", 5, 1, 5.00, 3, 3.34, 4.00, 4.00, 5.0000, 0.34);
		dt.Rows.Add("09:05:00", 5, 1, 5.00, 3, 4.00, 4.00, 5.00, 5.0000, 1.00);
		dt.Rows.Add("09:10:00", 5, 1, 5.00, 3, 4.00, 4.00, 5.00, 5.0000, 1.00);
		dt.Rows.Add("09:15:00", 5, 1, 5.00, 2, 4.00, 4.00, 5.00, 5.0000, 0.00);
		dt.Rows.Add("09:20:00", 5, 1, 5.00, 1, 4.00, 4.00, 5.00, 5.0000, 0.00);
		dt.Rows.Add("09:25:00", 5, 1, 5.00, 1, 4.00, 4.63, 6.00, 5.0000, 0.00);
		dt.Rows.Add("09:30:00", 5, 1, 5.00, 2, 5.00, 5.00, 6.00, 5.0000, 0.37);
		dt.Rows.Add("09:35:00", 5, 1, 5.00, 3, 5.00, 6.00, 5.00, 5.0000, 0.00);
		dt.Rows.Add("09:40:00", 5, 1, 5.00, 3, 5.00, 6.00, 5.00, 5.0000, 0.00);
		dt.Rows.Add("09:45:00", 5, 1, 5.00, 3, 5.00, 5.00, 5.00, 5.0000, 1.00);
		dt.Rows.Add("09:50:00", 5, 1, 5.00, 3, 5.00, 6.00, 5.00, 5.0000, 0.00);
		dt.Rows.Add("09:55:00", 5, 1, 5.00, 3, 4.00, 5.00, 6.00, 5.0000, 0.00);
		dt.Rows.Add("10:00:00", 5, 1, 5.00, 3, 5.00, 5.00, 6.00, 6.0000, 0.00);
		dt.Rows.Add("10:05:00", 5, 1, 5.00, 3, 5.00, 5.34, 6.00, 6.0000, 0.00);
		dt.Rows.Add("10:10:00", 6, 1, 5.00, 3, 4.94, 5.00, 6.00, 6.0000, 0.94);
		dt.Rows.Add("10:15:00", 6, 1, 5.00, 3, 5.95, 5.94, 7.00, 6.0000, 0.95);
		dt.Rows.Add("10:20:00", 6, 1, 5.00, 3, 6.95, 6.95, 8.00, 6.0000, 0.95);
		dt.Rows.Add("10:25:00", 6, 1, 5.00, 3, 5.00, 5.49, 7.00, 6.0000, 0.00);
		dt.Rows.Add("10:30:00", 6, 1, 5.00, 3, 5.94, 5.00, 7.00, 6.0000, 0.94);
		dt.Rows.Add("10:35:00", 6, 1, 5.00, 3, 6.95, 6.95, 7.00, 6.0000, 0.95);
		dt.Rows.Add("10:40:00", 6, 1, 5.00, 3, 6.00, 6.00, 6.00, 6.0000, 0.66);
		dt.Rows.Add("10:45:00", 6, 1, 5.00, 1, 5.34, 6.00, 7.00, 6.0000, 0.34);
		dt.Rows.Add("10:50:00", 6, 1, 6.00, 2, 5.00, 5.00, 6.00, 6.0000, 0.00);
		dt.Rows.Add("10:55:00", 6, 1, 6.00, 0, 5.00, 5.00, 6.00, 6.0000, 0.00);
		dt.Rows.Add("11:00:00", 6, 1, 6.00, 1, 5.00, 5.00, 5.00, 6.0000, 1.00);
		dt.Rows.Add("11:05:00", 6, 1, 6.00, 1, 5.00, 5.34, 6.00, 6.0000, 0.00);
		dt.Rows.Add("11:10:00", 7, 1, 6.00, 1, 5.00, 5.63, 6.00, 6.0000, 0.00);
		dt.Rows.Add("11:15:00", 7, 1, 6.00, 1, 5.00, 6.00, 6.00, 6.0000, 0.00);
		dt.Rows.Add("11:20:00", 7, 1, 6.00, 1, 5.00, 5.34, 6.00, 6.0000, 0.37);
		dt.Rows.Add("11:25:00", 7, 1, 6.00, 1, 5.00, 5.00, 5.00, 6.0000, 1.00);
		dt.Rows.Add("11:30:00", 7, 1, 6.00, 3, 5.00, 6.00, 6.00, 6.0000, 0.00);
		dt.Rows.Add("11:35:00", 7, 1, 6.00, 2, 5.00, 5.63, 8.00, 6.0000, 0.00);
		dt.Rows.Add("11:40:00", 7, 1, 6.00, 4, 5.00, 5.63, 8.00, 6.0000, 0.00);
		dt.Rows.Add("11:45:00", 7, 1, 6.00, 4, 5.00, 5.63, 7.00, 6.0000, 0.00);
		dt.Rows.Add("11:50:00", 7, 1, 6.00, 2, 5.34, 6.00, 7.00, 6.0000, 0.00);
		dt.Rows.Add("11:55:00", 7, 1, 6.00, 2, 5.34, 6.00, 6.00, 6.0000, 0.00);
		dt.Rows.Add("12:00:00", 7, 1, 6.00, 2, 6.00, 6.34, 8.00, 6.0000, 0.00);
		dt.Rows.Add("12:05:00", 7, 1, 6.00, 1, 5.34, 6.00, 6.00, 6.0000, 0.34);
		dt.Rows.Add("12:10:00", 7, 1, 6.00, 1, 5.34, 6.00, 6.00, 6.0000, 0.34);
		dt.Rows.Add("12:15:00", 7, 1, 6.00, 1, 5.00, 6.00, 5.00, 6.0000, 0.00);
		dt.Rows.Add("12:20:00", 7, 1, 6.00, 3, 5.00, 6.00, 5.00, 6.0000, 0.00);
		dt.Rows.Add("12:25:00", 7, 1, 6.00, 3, 5.00, 6.00, 6.00, 6.0000, 0.00);
		dt.Rows.Add("12:30:00", 7, 1, 6.00, 2, 5.00, 5.63, 6.00, 6.0000, 0.00);
		dt.Rows.Add("12:35:00", 7, 1, 6.00, 2, 6.00, 6.00, 6.00, 6.0000, 1.00);
		dt.Rows.Add("12:40:00", 7, 1, 6.00, 2, 6.00, 6.34, 7.00, 6.0000, 1.00);
		dt.Rows.Add("12:45:00", 7, 1, 6.00, 2, 5.00, 6.00, 6.00, 6.0000, 0.00);
		dt.Rows.Add("12:50:00", 7, 1, 6.00, 2, 6.00, 6.63, 6.00, 6.0000, 1.00);
		dt.Rows.Add("12:55:00", 7, 1, 6.00, 2, 5.00, 5.63, 7.00, 6.0000, 0.00);
		dt.Rows.Add("13:00:00", 7, 1, 6.00, 2, 5.34, 5.00, 7.00, 6.0000, 0.00);
		dt.Rows.Add("13:05:00", 7, 1, 6.00, 3, 6.00, 6.00, 7.00, 6.0000, 0.00);
		dt.Rows.Add("13:10:00", 7, 1, 6.00, 3, 6.00, 5.00, 7.00, 6.0000, 0.00);
		dt.Rows.Add("13:15:00", 7, 1, 6.00, 4, 6.00, 5.00, 6.00, 6.0000, 1.00);
		dt.Rows.Add("13:20:00", 7, 1, 6.00, 5, 6.00, 6.00, 6.00, 6.0000, 1.00);
		dt.Rows.Add("13:25:00", 7, 1, 6.00, 4, 6.00, 6.00, 6.00, 6.0000, 1.00);
		dt.Rows.Add("13:30:00", 7, 1, 6.00, 4, 5.00, 5.00, 7.00, 6.0000, 0.00);
		dt.Rows.Add("13:35:00", 7, 1, 6.00, 3, 5.00, 6.00, 7.00, 6.0000, 0.00);
		dt.Rows.Add("13:40:00", 7, 1, 6.00, 3, 6.00, 7.00, 7.00, 6.0000, 0.00);
		dt.Rows.Add("13:45:00", 6, 1, 6.00, 4, 6.00, 6.00, 7.00, 6.0000, 0.00);
		dt.Rows.Add("13:50:00", 6, 1, 6.00, 3, 6.00, 6.00, 6.00, 6.0000, 0.06);
		dt.Rows.Add("13:55:00", 6, 1, 6.00, 3, 6.00, 6.00, 6.00, 6.0000, 0.06);
		dt.Rows.Add("14:00:00", 6, 1, 5.00, 3, 6.00, 6.00, 6.00, 7.0000, 1.00);
		dt.Rows.Add("14:05:00", 6, 1, 5.00, 2, 6.00, 6.00, 6.00, 7.0000, 1.00);
		dt.Rows.Add("14:10:00", 7, 1, 6.00, 2, 6.00, 6.00, 6.00, 7.0000, 1.00);
		dt.Rows.Add("14:15:00", 7, 1, 6.00, 2, 5.63, 6.00, 7.00, 7.0000, 0.63);
		dt.Rows.Add("14:20:00", 7, 1, 6.00, 2, 6.00, 6.00, 8.00, 7.0000, 0.00);
		dt.Rows.Add("14:25:00", 7, 1, 6.00, 3, 6.00, 6.00, 7.00, 7.0000, 0.00);
		dt.Rows.Add("14:30:00", 7, 1, 6.00, 5, 7.00, 7.00, 7.00, 7.0000, 1.00);
		dt.Rows.Add("14:35:00", 7, 1, 6.00, 5, 7.00, 7.00, 7.00, 7.0000, 0.66);
		dt.Rows.Add("14:40:00", 7, 1, 6.00, 4, 7.00, 7.00, 8.00, 7.0000, 0.06);
		dt.Rows.Add("14:45:00", 7, 1, 6.00, 4, 6.49, 7.88, 8.00, 7.0000, 0.49);
		dt.Rows.Add("14:50:00", 7, 1, 6.00, 4, 6.49, 6.94, 8.00, 7.0000, 0.49);
		dt.Rows.Add("14:55:00", 7, 1, 6.00, 4, 8.00, 7.00, 8.00, 7.0000, 0.66);
		dt.Rows.Add("15:00:00", 7, 1, 6.00, 4, 6.63, 6.00, 9.00, 7.0000, 0.63);
		dt.Rows.Add("15:05:00", 7, 1, 6.00, 4, 6.00, 5.63, 9.00, 7.0000, 0.00);
		dt.Rows.Add("15:10:00", 7, 1, 6.00, 4, 6.00, 5.00, 9.00, 7.0000, 0.66);
		dt.Rows.Add("15:15:00", 7, 1, 6.00, 4, 6.00, 6.00, 9.00, 7.0000, 1.00);
		dt.Rows.Add("15:20:00", 7, 1, 6.00, 3, 6.00, 6.00, 7.00, 7.0000, 0.00);
		dt.Rows.Add("15:25:00", 7, 1, 6.00, 3, 6.00, 6.00, 7.00, 7.0000, 0.00);
		dt.Rows.Add("15:30:00", 7, 1, 6.00, 1, 6.04, 6.00, 7.00, 7.0000, 0.04);
		dt.Rows.Add("15:35:00", 7, 1, 6.00, 1, 6.00, 6.74, 7.00, 7.0000, 1.00);
		dt.Rows.Add("15:40:00", 7, 1, 6.00, 2, 6.00, 6.00, 7.00, 7.0000, 1.00);
		dt.Rows.Add("15:45:00", 7, 1, 6.00, 2, 6.00, 6.00, 8.00, 7.0000, 0.00);
		dt.Rows.Add("15:50:00", 7, 1, 6.00, 2, 6.00, 6.00, 7.00, 7.0000, 0.00);
		dt.Rows.Add("15:55:00", 7, 1, 6.00, 3, 6.00, 6.00, 7.00, 7.0000, 0.00);
		dt.Rows.Add("16:00:00", 7, 1, 6.00, 3, 6.00, 6.00, 7.00, 6.0000, 0.37);
		dt.Rows.Add("16:05:00", 7, 1, 6.00, 3, 5.00, 5.00, 7.00, 6.0000, 0.00);
		dt.Rows.Add("16:10:00", 7, 1, 6.00, 4, 5.00, 5.00, 7.00, 6.0000, 0.00);
		dt.Rows.Add("16:15:00", 7, 1, 6.00, 5, 6.00, 5.63, 7.00, 6.0000, 0.00);
		dt.Rows.Add("16:20:00", 7, 1, 6.00, 3, 6.00, 5.00, 6.00, 6.0000, 0.00);
		dt.Rows.Add("16:25:00", 7, 1, 6.00, 3, 6.00, 5.00, 7.00, 6.0000, 0.00);
		dt.Rows.Add("16:30:00", 7, 1, 6.00, 3, 6.00, 5.63, 7.00, 6.0000, 0.00);
		dt.Rows.Add("16:35:00", 7, 1, 6.00, 2, 6.00, 6.00, 6.00, 6.0000, 0.66);
		dt.Rows.Add("16:40:00", 7, 1, 6.00, 3, 6.00, 6.00, 7.00, 6.0000, 0.51);
		dt.Rows.Add("16:45:00", 6, 1, 6.00, 3, 6.00, 6.49, 8.00, 6.0000, 0.00);
		dt.Rows.Add("16:50:00", 6, 1, 6.00, 5, 6.00, 6.00, 6.00, 6.0000, 1.00);
		dt.Rows.Add("16:55:00", 6, 1, 7.00, 5, 6.00, 6.00, 6.00, 6.0000, 1.00);
		dt.Rows.Add("17:00:00", 6, 1, 6.00, 4, 6.49, 7.34, 8.00, 7.0000, 0.15);
		dt.Rows.Add("17:05:00", 6, 1, 6.00, 4, 6.00, 7.00, 7.00, 7.0000, 0.00);
		dt.Rows.Add("17:10:00", 7, 1, 6.00, 4, 6.94, 7.94, 7.00, 7.0000, 0.94);
		dt.Rows.Add("17:15:00", 7, 1, 6.00, 4, 6.94, 7.00, 7.00, 7.0000, 0.94);
		dt.Rows.Add("17:20:00", 7, 1, 6.00, 5, 6.34, 7.00, 7.00, 7.0000, 0.00);
		dt.Rows.Add("17:25:00", 7, 1, 6.00, 5, 6.00, 7.00, 6.00, 7.0000, 0.00);
		dt.Rows.Add("17:30:00", 7, 1, 6.00, 5, 6.00, 6.94, 8.00, 7.0000, 1.00);
		dt.Rows.Add("17:35:00", 7, 1, 6.00, 5, 6.00, 6.94, 7.00, 7.0000, 0.06);
		dt.Rows.Add("17:40:00", 7, 1, 6.00, 4, 6.00, 7.00, 7.00, 7.0000, 0.00);
		dt.Rows.Add("17:45:00", 6, 1, 6.00, 6, 6.68, 7.68, 9.00, 7.0000, 0.19);
		dt.Rows.Add("17:50:00", 6, 1, 7.00, 6, 6.98, 7.02, 9.00, 7.0000, 0.49);
		dt.Rows.Add("17:55:00", 6, 1, 7.00, 6, 6.98, 7.64, 8.00, 7.0000, 0.49);
		dt.Rows.Add("18:00:00", 6, 1, 7.00, 6, 6.49, 7.64, 8.00, 7.0000, 0.49);
		dt.Rows.Add("18:05:00", 6, 1, 7.00, 6, 7.00, 7.49, 8.00, 7.0000, 1.00);
		dt.Rows.Add("18:10:00", 7, 1, 7.00, 6, 6.00, 7.00, 7.00, 7.0000, 0.00);
		dt.Rows.Add("18:15:00", 7, 1, 7.00, 6, 6.63, 7.63, 7.00, 7.0000, 0.63);
		dt.Rows.Add("18:20:00", 7, 1, 7.00, 7, 7.00, 7.00, 8.00, 7.0000, 0.00);
		dt.Rows.Add("18:25:00", 7, 1, 7.00, 7, 6.68, 7.34, 8.00, 7.0000, 0.19);
		dt.Rows.Add("18:30:00", 7, 1, 7.00, 7, 6.34, 7.00, 7.00, 7.0000, 0.85);
		dt.Rows.Add("18:35:00", 7, 1, 7.00, 6, 6.49, 7.49, 9.00, 7.0000, 0.49);
		dt.Rows.Add("18:40:00", 7, 1, 7.00, 5, 6.49, 7.34, 8.00, 7.0000, 0.49);
		dt.Rows.Add("18:45:00", 6, 1, 7.00, 6, 6.49, 7.00, 8.00, 7.0000, 0.52);
		dt.Rows.Add("18:50:00", 6, 1, 7.00, 6, 6.00, 6.00, 7.00, 7.0000, 0.00);
		dt.Rows.Add("18:55:00", 6, 1, 7.00, 4, 6.00, 6.34, 7.00, 7.0000, 1.00);
		dt.Rows.Add("19:00:00", 6, 1, 7.00, 4, 5.34, 6.34, 7.00, 6.0000, 0.34);
		dt.Rows.Add("19:05:00", 6, 1, 6.00, 4, 6.00, 6.00, 6.00, 6.0000, 1.00);
		dt.Rows.Add("19:10:00", 7, 1, 6.00, 2, 5.00, 5.34, 6.00, 6.0000, 1.00);
		dt.Rows.Add("19:15:00", 7, 1, 6.00, 2, 5.34, 6.00, 6.00, 6.0000, 0.34);
		dt.Rows.Add("19:20:00", 7, 1, 5.00, 2, 5.00, 5.34, 5.00, 6.0000, 0.66);
		dt.Rows.Add("19:25:00", 7, 1, 5.00, 3, 5.00, 5.63, 6.00, 6.0000, 0.00);
		dt.Rows.Add("19:30:00", 7, 1, 5.00, 3, 4.94, 5.00, 6.00, 6.0000, 0.94);
		dt.Rows.Add("19:35:00", 7, 1, 5.00, 2, 5.88, 5.00, 6.00, 6.0000, 1.88);
		dt.Rows.Add("19:40:00", 7, 1, 5.00, 2, 6.00, 5.34, 6.00, 6.0000, 1.66);
		dt.Rows.Add("19:45:00", 6, 1, 6.00, 2, 5.00, 5.00, 5.00, 6.0000, 1.00);
		dt.Rows.Add("19:50:00", 6, 1, 6.00, 2, 5.00, 5.00, 6.00, 6.0000, 1.00);
		dt.Rows.Add("19:55:00", 6, 1, 6.00, 1, 5.00, 5.00, 6.00, 6.0000, 0.66);
		dt.Rows.Add("20:00:00", 6, 1, 6.00, 1, 5.00, 5.00, 5.00, 5.0000, 1.00);
		dt.Rows.Add("20:05:00", 6, 1, 6.00, 1, 5.00, 5.00, 6.00, 5.0000, 0.06);
		dt.Rows.Add("20:10:00", 6, 1, 5.00, 1, 5.00, 5.00, 5.00, 5.0000, 0.06);
		dt.Rows.Add("20:15:00", 6, 1, 5.00, 1, 5.00, 5.49, 6.00, 5.0000, 0.00);
		dt.Rows.Add("20:20:00", 6, 1, 5.00, 1, 5.00, 5.49, 6.00, 5.0000, 0.51);
		dt.Rows.Add("20:25:00", 6, 1, 5.00, 5, 5.00, 5.49, 6.00, 5.0000, 0.00);
		dt.Rows.Add("20:30:00", 6, 1, 5.00, 5, 5.00, 5.74, 6.00, 5.0000, 0.00);
		dt.Rows.Add("20:35:00", 6, 1, 5.00, 5, 5.00, 5.00, 6.00, 5.0000, 0.26);
		dt.Rows.Add("20:40:00", 6, 1, 5.00, 5, 5.00, 5.00, 5.00, 5.0000, 1.00);
		dt.Rows.Add("20:45:00", 5, 1, 5.00, 5, 5.00, 5.00, 6.00, 5.0000, 0.00);
		dt.Rows.Add("20:50:00", 5, 1, 5.00, 5, 5.00, 5.34, 6.00, 5.0000, 0.00);
		dt.Rows.Add("20:55:00", 5, 1, 5.00, 5, 5.00, 5.34, 6.00, 5.0000, 0.00);
		dt.Rows.Add("21:00:00", 5, 1, 5.00, 5, 5.00, 5.34, 6.00, 5.0000, 0.00);
		dt.Rows.Add("21:05:00", 5, 1, 5.00, 5, 5.00, 5.00, 6.00, 5.0000, 0.00);
		dt.Rows.Add("21:10:00", 5, 1, 5.00, 5, 5.00, 5.00, 6.00, 5.0000, 0.00);
		dt.Rows.Add("21:15:00", 5, 1, 5.00, 4, 4.49, 5.00, 7.00, 5.0000, 0.00);
		dt.Rows.Add("21:20:00", 5, 1, 5.00, 3, 4.49, 5.00, 7.00, 5.0000, 0.00);
		dt.Rows.Add("21:25:00", 5, 1, 5.00, 3, 5.00, 6.00, 6.00, 5.0000, 0.00);
		dt.Rows.Add("21:30:00", 5, 1, 5.00, 3, 4.34, 5.00, 5.00, 5.0000, 0.00);
		dt.Rows.Add("21:35:00", 5, 1, 5.00, 4, 4.63, 4.63, 5.00, 5.0000, 0.63);
		dt.Rows.Add("21:40:00", 5, 1, 5.00, 4, 3.63, 4.00, 5.00, 5.0000, 0.63);
		dt.Rows.Add("21:45:00", 5, 1, 5.00, 4, 4.00, 4.34, 5.00, 5.0000, 0.00);
		dt.Rows.Add("21:50:00", 5, 1, 5.00, 4, 4.94, 5.00, 5.00, 5.0000, 0.94);
		dt.Rows.Add("21:55:00", 5, 1, 5.00, 4, 4.00, 4.00, 5.00, 5.0000, 0.51);
		dt.Rows.Add("22:00:00", 5, 1, 5.00, 4, 4.34, 5.00, 5.00, 5.0000, 0.34);
		dt.Rows.Add("22:05:00", 5, 1, 5.00, 3, 4.34, 5.00, 5.00, 5.0000, 0.34);
		dt.Rows.Add("22:10:00", 5, 1, 5.00, 3, 4.00, 5.00, 5.00, 5.0000, 0.00);
		dt.Rows.Add("22:15:00", 5, 1, 5.00, 5, 4.34, 5.00, 5.00, 5.0000, 0.00);
		dt.Rows.Add("22:20:00", 5, 1, 5.00, 5, 5.00, 5.94, 6.00, 5.0000, 0.00);
		dt.Rows.Add("22:25:00", 5, 1, 5.00, 5, 5.94, 6.88, 6.00, 5.0000, 0.94);
		dt.Rows.Add("22:30:00", 5, 1, 5.00, 5, 5.00, 5.94, 6.00, 5.0000, 0.00);
		dt.Rows.Add("22:35:00", 5, 1, 5.00, 4, 5.00, 5.00, 5.00, 5.0000, 1.00);
		dt.Rows.Add("22:40:00", 5, 1, 5.00, 4, 5.00, 5.00, 5.00, 5.0000, 1.00);
		dt.Rows.Add("22:45:00", 5, 0, 5.00, 3, 5.00, 5.00, 5.00, 5.0000, 1.00);
		dt.Rows.Add("22:50:00", 5, 0, 5.00, 1, 5.00, 5.00, 6.00, 5.0000, 0.00);
		dt.Rows.Add("22:55:00", 5, 0, 5.00, 2, 4.00, 5.04, 6.00, 5.0000, 0.00);
		dt.Rows.Add("23:00:00", 5, 0, 5.00, 3, 5.00, 5.34, 5.00, 4.0000, 0.00);
		dt.Rows.Add("23:05:00", 5, 0, 5.00, 3, 5.00, 5.00, 5.00, 4.0000, 0.00);
		dt.Rows.Add("23:10:00", 5, 0, 5.00, 4, 4.00, 4.00, 5.00, 4.0000, 0.00);
		dt.Rows.Add("23:15:00", 5, 0, 5.00, 5, 4.34, 5.00, 5.00, 4.0000, 0.34);
		dt.Rows.Add("23:20:00", 5, 0, 6.00, 6, 4.34, 4.00, 7.00, 4.0000, 0.00);
		dt.Rows.Add("23:25:00", 5, 0, 6.00, 5, 4.34, 4.00, 6.00, 4.0000, 0.00);
		dt.Rows.Add("23:30:00", 5, 0, 6.00, 5, 4.04, 4.04, 5.00, 4.0000, 0.04);
		dt.Rows.Add("23:35:00", 5, 0, 6.00, 5, 3.00, 3.00, 5.00, 4.0000, 0.00);
		dt.Rows.Add("23:40:00", 5, 0, 6.00, 5, 3.34, 3.34, 6.00, 4.0000, 0.00);
		dt.Rows.Add("23:45:00", 5, 0, 6.00, 5, 3.34, 3.34, 6.00, 4.0000, 0.00);
		dt.Rows.Add("23:50:00", 5, 0, 6.00, 4, 3.34, 3.00, 5.00, 4.0000, -0.15);
		dt.Rows.Add("23:55:00", 5, 0, 6.00, 3, 3.34, 3.00, 4.00, 4.0000, 0.34);

		return dt;
	}
}